Last modified on September 11, 2023 at 6:15 pm
Resource URL
Overview
Student registrations are offerings that have been or can be registered for by student users. Various DigitalChalk rules, including organization-specific rules, which can be set in the main DigitalChalk UI, may determine which offerings are available to certain students.
Use Cases
GET Request
| Operation | Call | Description |
|---|---|---|
| Available offerings for registration | GET /api/zapier/studentregistration | Retrieve a list of all your organization’s offerings that are available for registration. |
GET Parameters
None required.
GET Response Example
[
{
"name": "Learn How to Draw People",
"id": "297e0cc14b73c26b014b73d5be400012"
},
{
"name": "Navitome Tests",
"id": "297e0cc14ba20a21014ba28b443b001b"
},
{
"name": "IE8 Assessment Bug",
"id": "297e0cc14c3222a6014c322d302f001a"
}
]
POST Request
| Operation | Call | Description |
|---|---|---|
| Register student for offering | POST /api/zapier/studentregistration | Register the student for the given offering. |
POST BODY EXAMPLE
{
"emailAddress": "john.smith@example.com",
"offeringId": "297e0cc14b73c26b014b73d5be400012"
}
- emailAddress – The email of the student to register
- offeringId – The id of the offering to register for the student
POST RESPONSE EXAMPLE
{
"studentId": "12345678901234567890123456789012",
"studentName": "John Smith"
"studentEmail": "john.smith@example.com",
"offeringTitle": "Learn How to Draw People"
"offeringId": "297e0cc14b73c26b014b73d5be400012"
}
- studentId – The DigitalChalk ID of the student that was registered
- studentName – The name of the student that was registered
- studentEmail – The email of the student that was registered
- offeringTitle – The title of the offering that was registered
- offeringId – The DigitalChalk ID of the offering that was registered
Note: other fields may appear in the JSON response, depending on the course and organization rules in DigitalChalk. The fields above are always present.
Authentication
DigitalChalk API key as header X-API-KEY. Normally, this is Zapier’s {{bundle.authData.api_key}}